# SUMMARY

- mistral_common
  - audio
  - base
  - deprecation
  - exceptions
  - experimental
    - app
      - main
      - models
      - routers
    - think
    - tools
    - utils
  - guidance
    - grammar_factory
    - tokenizer
  - image
  - imports
  - integrations
    - chat_templates
      - chat_templates
      - template_generator
  - protocol
    - base
    - fim
      - request
    - instruct
      - chunk
      - converters
      - messages
      - normalize
      - request
      - tool_calls
      - validator
    - speech
      - request
    - transcription
      - request
    - utils
  - tokens
    - tokenizers
      - audio
      - base
      - image
      - instruct
      - mistral
      - model_settings_builder
      - sentencepiece
      - tekken
      - utils